<!-- xltest.xsl: convert XLink simple links to HTML -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                version="1.0">

  <!-- Demonstrate the use of XLink         -->
  <!-- implementation in sxlink2html.xsl by -->
  <!-- reading xltest.xml and dummytoc.xml. -->

  <xsl:import href="sxlink2html.xsl"/>

    <xsl:template match="dictionary | xref | tocMarker">

      <xsl:if test="@xlink:type = 'simple'">
        <xsl:if test="@xlink:actuate='onLoad'">
          <xsl:call-template name="SimpleLinkOnLoad"/>
        </xsl:if>
        <xsl:if test="@xlink:actuate='onRequest'">
          <xsl:call-template name="SimpleLinkOnRequest"/>
        </xsl:if>
      </xsl:if>
    </xsl:template>

    <!-- Just like template rule above, -->
    <!-- but wraps output in p element. -->
    <xsl:template match="toc | author">
    <p>
      <xsl:if test="@xlink:type = 'simple'">
        <xsl:if test="@xlink:actuate='onLoad'">
          <xsl:call-template name="SimpleLinkOnLoad"/>
        </xsl:if>
        <xsl:if test="@xlink:actuate='onRequest'">
          <xsl:call-template name="SimpleLinkOnRequest"/>
        </xsl:if>
      </xsl:if>
    </p>
  </xsl:template>


  <xsl:template match="xlinktest">
    <html><body>
      <xsl:apply-templates/>
    </body></html>
  </xsl:template>


  <xsl:template match="title">
    <h1><xsl:apply-templates/></h1>
  </xsl:template>


  <xsl:template match="par">
    <p><xsl:apply-templates/></p>
  </xsl:template>

</xsl:stylesheet>
